Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class BridgeFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
          org.mule.config.spring.factories.BridgeFactoryBean

All Implemented Interfaces:
  MuleContextAware, Initialisable, org.springframework.beans.factory.FactoryBean<FlowConstruct>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

    public class BridgeFactoryBean

extends AbstractFlowConstructFactoryBean

Field Summary

Fields inherited from class org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
`applicationContext, flowConstruct, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`BridgeFactoryBean()`

Method Summary
`protected AbstractFlowConstructBuilder<BridgeBuilder,Bridge>` | `getFlowConstructBuilder()`
`Class<?>` | `getObjectType()`
`void` | `setEndpoint(OutboundEndpoint endpoint)`
`void` | `setExchangePattern(MessageExchangePattern exchangePattern)`
`void` | `setInboundAddress(String inboundAddress)`
`void` | `setInboundEndpoint(EndpointBuilder inboundEndpointBuilder)`
`void` | `setMessageProcessor(MessageProcessor processor)`
`void` | `setOutboundAddress(String outboundAddress)`
`void` | `setOutboundEndpoint(EndpointBuilder outboundEndpointBuilder)`
`void` | `setResponseTransformers(Transformer... responseTransformers)`
`void` | `setTransacted(boolean transacted)`
`void` | `setTransformers(Transformer... transformers)`

Methods inherited from class org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
`afterPropertiesSet, createFlowConstruct, getObject, initialise, isSingleton, setApplicationContext, setExceptionListener, setMessageSource, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgeFactoryBean

    public BridgeFactoryBean()

Method Detail

### getObjectType

    public Class<?> getObjectType()

### getFlowConstructBuilder

    protected AbstractFlowConstructBuilder<BridgeBuilder,Bridge> getFlowConstructBuilder()

  Specified by:
    `getFlowConstructBuilder` in class `AbstractFlowConstructFactoryBean`

### setEndpoint

    public void setEndpoint(OutboundEndpoint endpoint)

### setMessageProcessor

    public void setMessageProcessor(MessageProcessor processor)

### setInboundAddress

    public void setInboundAddress(String inboundAddress)

### setInboundEndpoint

    public void setInboundEndpoint(EndpointBuilder inboundEndpointBuilder)

### setOutboundAddress

    public void setOutboundAddress(String outboundAddress)

### setOutboundEndpoint

    public void setOutboundEndpoint(EndpointBuilder outboundEndpointBuilder)

### setTransformers

    public void setTransformers(Transformer... transformers)

### setResponseTransformers

    public void setResponseTransformers(Transformer... responseTransformers)

### setTransacted

    public void setTransacted(boolean transacted)

### setExchangePattern

    public void setExchangePattern(MessageExchangePattern exchangePattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.